Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- exports.GitStatusExplorer-GitStatusExplorer
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClass
- orion.metatype.PropertyType
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.SiteServicesExplorer
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.editor.Editor

An `Editor` is a user interface for editing text that provides additional features over the basic orion.textview.TextView. Some of `Editor`'s features include:

- Additional actions and key bindings for editing text
- Content assist
- Find and Incremental Find
- Rulers for displaying line numbers and annotations
- Status reporting

Defined in: </shared/eclipse/e4/orion/I201206221139/plugins/org.eclipse.orion.client.editor/web/orion/editor/editor.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.Editor(options) Creates a new Editor with the given options.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addEventListener(type, listener, useCapture) Adds an event listener to this event target.
| dispatchEvent(evt) Dispatches the given event to the listeners added to this event target.
| getAnnotationModel() Returns the annotation model of the editor.
| getAnnotationRuler() Returns the annotation ruler of the editor.
| getAnnotationStyler() Returns the annotation styler of the editor.
| getCaretOffset()
| getFoldingRuler() Returns the folding ruler of the editor.
| getKeyModes() Returns the editor's key modes.
| getLineNumberRuler() Returns the line number ruler of the editor.
| getModel() Returns the base text model of this editor.
| getOverviewRuler() Returns the overview ruler of the editor.
| getSelection()
| getText(start, end)
| getTextView() Returns the underlying `TextView` used by this editor.
| getTitle() Returns the editor title.
| highlightAnnotations()
| installTextView() Creates the underlying TextView and installs the editor's features.
| isDirty() Returns `true` if the editor is dirty; `false` otherwise.
| mapOffset(offset, parent)
| onDirtyChanged(dirtyChangedEvent) Called when the dirty state of the editor changes.
| onGotoLine(line, column, end) Reveals a line in the editor, and optionally selects a portion of the line.
| onInputChanged(inputChangedEvent) Called when the editor's contents have changed.
| removeEventListener(type, listener, useCapture) Removes an event listener from the event target.
| setAnnotationRulerVisible(visible) Sets whether the annotation ruler is visible.
| setCaretOffset(caretOffset)
| setDirty(dirty) Sets whether the editor is dirty.
| setFoldingEnabled(enabled)
| setFoldingRulerVisible(visible) Sets whether the folding ruler is visible.
| setInput(title, message, contents, contentsSaved) Sets the editor's contents.
| setLineNumberRulerVisible(visible) Sets whether the line numbering ruler is visible.
| setOverviewRulerVisible(visible) Sets whether the overview ruler is visible.
| setSelection(start, end, show)
| setText(text, start, end)
| showProblems(problems)
| showSelection(start, end, line, offset, length) Reveals and selects a portion of text.

Class Detail
orion.editor.Editor(options)
Creates a new Editor with the given options.

Parameters:
{Object} options
  Options controlling the features of this Editor.
{Object} options.annotationFactory
{Object} options.contentAssistFactory
{Object} options.domNode
{Object} options.keyBindingFactory
{Object} options.lineNumberRulerFactory
{Object} options.foldingRulerFactory
{Object} options.statusReporter
{Object} options.textViewFactory
{Object} options.undoStackFactory
{Object} options.textDNDFactory

Method Detail
addEventListener(type, listener, useCapture)
Adds an event listener to this event target.
Defined in: </shared/eclipse/e4/orion/I201206221139/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{String} type
  The event type.
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #removeEventListener

dispatchEvent(evt)
Dispatches the given event to the listeners added to this event target.
Defined in: </shared/eclipse/e4/orion/I201206221139/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{Event} evt
  The event to dispatch.

{orion.textview.AnnotationModel} getAnnotationModel()
Returns the annotation model of the editor.

Returns:
  {orion.textview.AnnotationModel}

{orion.textview.AnnotationRuler} getAnnotationRuler()
Returns the annotation ruler of the editor.

Returns:
  {orion.textview.AnnotationRuler}

{orion.textview.AnnotationStyler} getAnnotationStyler()
Returns the annotation styler of the editor.

Returns:
  {orion.textview.AnnotationStyler}

getCaretOffset()

{orion.textview.FoldingRuler} getFoldingRuler()
Returns the folding ruler of the editor.

Returns:
  {orion.textview.FoldingRuler}

{Array} getKeyModes()
Returns the editor's key modes.

Returns:
  {Array} the editor key modes.

{orion.textview.LineNumberRuler} getLineNumberRuler()
Returns the line number ruler of the editor.

Returns:
  {orion.textview.LineNumberRuler}

getModel()
Returns the base text model of this editor.

Returns:
  orion.textview.TextModel

{orion.textview.OverviewRuler} getOverviewRuler()
Returns the overview ruler of the editor.

Returns:
  {orion.textview.OverviewRuler}

getSelection()

getText(start, end)

Parameters:
start
end

getTextView()
Returns the underlying `TextView` used by this editor.

Returns:
  orion.textview.TextView the editor text view.

{String} getTitle()
Returns the editor title.

Returns:
  {String} the editor title.

highlightAnnotations()

installTextView()
Creates the underlying TextView and installs the editor's features.

{Boolean} isDirty()
Returns `true` if the editor is dirty; `false` otherwise.

Returns:
  {Boolean}

mapOffset(offset, parent)

Parameters:
offset
parent

onDirtyChanged(dirtyChangedEvent)
Called when the dirty state of the editor changes.

Parameters:
{Event} dirtyChangedEvent

onGotoLine(line, column, end)
Reveals a line in the editor, and optionally selects a portion of the line.

Parameters:
{Number} line
  - document base line index
{Number|String} column
{Number} end Optional

onInputChanged(inputChangedEvent)
Called when the editor's contents have changed.

Parameters:
{Event} inputChangedEvent

removeEventListener(type, listener, useCapture)
Removes an event listener from the event target.

All the parameters must be the same ones used to add the listener.

Defined in: </shared/eclipse/e4/orion/I201206221139/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{String} type
  The event type
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #addEventListener

setAnnotationRulerVisible(visible)
Sets whether the annotation ruler is visible.

Parameters:
{Boolean} visible
  `true` to show ruler, `false` otherwise

setCaretOffset(caretOffset)

Parameters:
caretOffset

setDirty(dirty)
Sets whether the editor is dirty.

Parameters:
{Boollean} dirty

setFoldingEnabled(enabled)

Parameters:
enabled

Deprecated:
use #setFoldingRulerVisible

setFoldingRulerVisible(visible)
Sets whether the folding ruler is visible.

Parameters:
{Boolean} visible
  `true` to show ruler, `false` otherwise

setInput(title, message, contents, contentsSaved)
Sets the editor's contents.

Parameters:
{String} title
{String} message
{String} contents
{Boolean} contentsSaved

setLineNumberRulerVisible(visible)
Sets whether the line numbering ruler is visible.

Parameters:
{Boolean} visible
  `true` to show ruler, `false` otherwise

setOverviewRulerVisible(visible)
Sets whether the overview ruler is visible.

Parameters:
{Boolean} visible
  `true` to show ruler, `false` otherwise

setSelection(start, end, show)

Parameters:
start
end
show

setText(text, start, end)

Parameters:
text
start
end

showProblems(problems)

Parameters:
problems

showSelection(start, end, line, offset, length)
Reveals and selects a portion of text.

Parameters:
{Number} start
{Number} end
{Number} line
{Number} offset
{Number} length

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Jun 22 2012 11:43:39 GMT-0400 (EDT)